Package de.willuhn.jameica.hbci.schedule

# Class UmsatzScheduleProvider

java.lang.Object
de.willuhn.jameica.hbci.schedule.UmsatzScheduleProvider

All Implemented Interfaces:
  `ScheduleProvider<Umsatz>`

@Lifecycle(REQUEST) public class UmsatzScheduleProvider extends Object implements ScheduleProvider<Umsatz>
Implementierung eines Schedule-Providers fuer die Umsaetze.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzScheduleProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.
`List<Schedule<Umsatz>>`
`getSchedules(Konto k, Date from, Date to)`
Liefert die Termine fuer den angegebenen Zeitraum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzScheduleProvider

public UmsatzScheduleProvider()

## Method Details

### getSchedules

public List<Schedule<Umsatz>> getSchedules(Konto k, Date from, Date to)
Description copied from interface: `ScheduleProvider`
Liefert die Termine fuer den angegebenen Zeitraum.

Specified by:
  `getSchedules` in interface `ScheduleProvider<Umsatz>`
Parameters:
  `k` - optionale Angabe eines Kontos. Ist es angegeben, werden nur Zahlungen des angegebenen Kontos geliefert. Andernfalls alle Konten.
  `from` - Beginn des Zeitraumes (einschliesslich dieses Tages).
  `to` - Ende des Zeitraumes (einschliesslich dieses Tages).
Returns:
  Liste der gefundendenen Termine. Die Funktion darf NICHT NULL liefern sondern hoechstens eine leere Liste.

### getName

public String getName()
Description copied from interface: `ScheduleProvider`
Liefert einen sprechenden Namen fuer den Provider.

Specified by:
  `getName` in interface `ScheduleProvider<Umsatz>`
Returns:
  sprechender Name fuer den Provider.